Last modified: 2014-07-15 07:34:03 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 52168 - API prop=flagged uses idiosyncratic/internal format for protection_expiry timestamp
API prop=flagged uses idiosyncratic/internal format for protection_expiry tim...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
FlaggedRevs (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: noncoreapi
  Show dependency treegraph
 
Reported: 2013-07-28 04:56 UTC by This, that and the other (TTO)
Modified: 2014-07-15 07:34 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description This, that and the other (TTO) 2013-07-28 04:56:44 UTC
https://en.wikipedia.org/w/api.php?action=query&prop=info|flagged&titles=Chatrak

<flagged stable_revid="561918865" level="0" level_text="stable" protection_level="autoconfirmed" protection_expiry="20140101202942" />

The timestamp for protection_expiry should be in ISO format (e.g. 2013-07-26T08:26:30Z) just like all the other API timestamps.
Comment 1 This, that and the other (TTO) 2013-07-29 01:11:53 UTC
https://gerrit.wikimedia.org/r/76460
Comment 2 Gerrit Notification Bot 2013-07-29 01:47:42 UTC
Change 76460 had a related patch set uploaded by Alex Monk:
Format protection_expiry timestamp in ISO format for API prop=flagged

https://gerrit.wikimedia.org/r/76460
Comment 3 Alex Monk 2013-07-29 01:48:56 UTC
Gerrit notification bot will send that message for you (and set PATCH_TO_REVIEW) if you put the 'Bug: x' bit right above the Change-Id instead of putting a line between 'Bug: x' and 'Change-Id: y'.
Comment 4 Carl Fürstenberg 2013-11-22 23:11:34 UTC
noticed this one as well now :/ please fix
Comment 5 Gerrit Notification Bot 2014-02-13 17:23:13 UTC
Change 76460 merged by Aaron Schulz:
Format protection_expiry timestamp in ISO format for API results

https://gerrit.wikimedia.org/r/76460
Comment 6 This, that and the other (TTO) 2014-07-15 07:34:03 UTC
Seems to have been fixed back in February.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links